List groups to which a user belongs#
ユーザーが所属するグループを一覧表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://identity.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://identity.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/v3/users/{user_id}/groups
HTTPステータスコード#
正常時:200
エラー時:400, 401, 403, 404
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| user_id | path | string | 必須 | ユーザーのID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| groups | array | グループの一覧 |
| description | string | リージョンの説明 |
| domain_id | string | ドメインのID |
| id | string | リソースのID |
| links | object | リソースへのリンクURL |
| self | object | リソース自身へのリンクURL |
| name | strings | リソースの名前 |
レスポンス例#
{ "groups": [ { "description": "Developers cleared for work on all general projects", "domain_id": "1789d1", "id": "ea167b", "links": { "self": "https://example.com/identity/v3/groups/ea167b" }, "name": "Developers" }, { "description": "Developers cleared for work on secret projects", "domain_id": "1789d1", "id": "a62db1", "links": { "self": "https://example.com/identity/v3/groups/a62db1" }, "name": "Secure Developers" } ], "links": { "self": "http://example.com/identity/v3/users/9fe1d3/groups", "previous": null, "next": null } }